Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Interface PortalAppflowConstants

All Known Implementing Classes:
  PortalAppflowFactory

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PortalAppflowConstants

A java interface used to hold common portal constants. There are no methods on this interface.

Field Summary
`static String` | `AUTO_LOGIN` Deprecated. Return value from portal PreProcessor indicating that the user requests auto-login.
`static String` | `AUTO_LOGIN_EVENT` Deprecated. Suffix for auto-login event String.
`static String` | `DELAY_P13N_UPDATES_PROPERTY` Deprecated. PortalContext environment property.
`static String` | `FRAMEWORK_EVENT_PREFIX` Deprecated. The String prefix for all Portal framework events.
`static String` | `FRAMEWORK_REFRESH_EVENT` Deprecated. Suffix for refresh event String.
`static String` | `GROUP_PORTAL_NAME` Deprecated. Constants used to store the GroupPortal name in the session
`static String` | `GROUP_PORTAL_NAME_SESSION_KEY` Deprecated.
`static String` | `INTERNAL_FRAMEWORK_EVENT_PREFIX` Deprecated. The String prefix for all internal Portal framework events.
`static String` | `LAST_CONTENT_URL` Deprecated. Webflow response string that indicates that a Portlet's current content URL should remain the same.
`static String` | `PAGE_PARAMETER` Deprecated. The Portal page parameter name.
`static String` | `PORTAL_REFRESH` Deprecated. Return value from a Portal processor indicating that the Portal should be refreshed.
`static String` | `PORTLET_EDIT` Deprecated. Portlet edit event.
`static String` | `PORTLET_EDIT_EVENT` Deprecated. Portlet event Suffix String.
`static String` | `PORTLET_EVENT` Deprecated. Partial Portlet event String.
`static String` | `PORTLET_EVENT_EVENT` Deprecated. Portlet webflow event Suffix String.
`static String` | `PORTLET_FLOAT` Deprecated. Portlet float event.
`static String` | `PORTLET_FLOAT_EVENT` Deprecated. Portlet event Suffix String.
`static String` | `PORTLET_MAXIMIZE` Deprecated. Portlet maximize event.
`static String` | `PORTLET_MAXIMIZE_EVENT` Deprecated. Portlet event Suffix String.
`static String` | `PORTLET_MINIMIZE` Deprecated. Portlet minimize event.
`static String` | `PORTLET_MINIMIZE_EVENT` Deprecated. Portlet event Suffix String.
`static String` | `PORTLET_PARAMETER` Deprecated. The Portlet parameter name.
`static String` | `PORTLET_REFRESH` Deprecated. Portlet refresh event.
`static String` | `PORTLET_UNEDIT` Deprecated. Portlet unedit event.
`static String` | `PORTLET_UNEDIT_EVENT` Deprecated. Portlet event Suffix String.
`static String` | `PORTLET_UNMAXIMIZE` Deprecated. Portlet unmaximize event.
`static String` | `PORTLET_UNMAXIMIZE_EVENT` Deprecated. Portlet event Suffix String.
`static String` | `PORTLET_UNMINIMIZE` Deprecated. Portlet unminimize event.
`static String` | `PORTLET_UNMINIMIZE_EVENT` Deprecated. Portlet event Suffix String.
`static String` | `PORTLET_WEBFLOW_EVENT` Deprecated. Portlet webflow event to invokde the PrtletEventProcessor.
`static String` | `PORTLET_WEBFLOW_EVENT_PARAMETER` Deprecated. The actual portlets webflow event as defined in the portlets webflow xml file.
`static String` | `PORTLET_WEBFLOW_FLOAT_EVENT` Deprecated. Floating portlet webflow event.
`static String` | `PORTLET_WEBFLOW_NAMESPACE_PARAMETER` Deprecated. The portlet's webflow namespace.
`static String` | `POST_LOGIN` Deprecated. Return value from PreProcessor indicating that the user needs to perform post login processing.
`static String` | `POST_LOGIN_EVENT` Deprecated. Suffix for post-login event String.
`static String` | `SESSION_TIMEOUT` Deprecated. Return value from a portal processor indicating that the user session has timed out.
`static String` | `SESSION_TIMEOUT_EVENT` Deprecated. Session timeout event Suffix String.
`static String` | `SUCCESS_EVENT` Deprecated. Success event String.

Field Detail

### PAGE_PARAMETER

    public static final String PAGE_PARAMETER

  Deprecated.
  The Portal page parameter name. An HttpServletRequest parameter used by portal webflow to determine which page this request is for. This is automatically supplied by the `<portal/>` and `<portlet/>` tags.

  See Also:
    Constant Field Values

### PORTLET_PARAMETER

    public static final String PORTLET_PARAMETER

  Deprecated.
  The Portlet parameter name. An HttpServletRequest parameter used by portal webflow to determine which portlet this request is for. This is automatically supplied by the `<portal/>` and `<portlet/>` tags.

  See Also:
    Constant Field Values

### PORTLET_WEBFLOW_EVENT_PARAMETER

    public static final String PORTLET_WEBFLOW_EVENT_PARAMETER

  Deprecated.
  The actual portlets webflow event as defined in the portlets webflow xml file. The true webflow event (`PORTLET_WEBFLOW_EVENT`) invokes the `PortletEventProcessor`. It is the `PortletEventProcessor` that uses this HttpServletRequest parameter to invoke the portlet's webflow

  See Also:
    `PortletEventProcessor`, `PORTLET_WEBFLOW_EVENT`, Constant Field Values

### PORTLET_WEBFLOW_NAMESPACE_PARAMETER

    public static final String PORTLET_WEBFLOW_NAMESPACE_PARAMETER

  Deprecated.
  The portlet's webflow namespace. The portlet's namespace used for a webflow event can be modified by supplying this optional parameter as part of the HTTP request. The `PortletEventProcessor` picks this parameter from the request, if this parameter is not supplied the `PortletEventProcessor` will default to using namespace supplied in the portlet's XML definition file.

  See Also:
    `PortletEventProcessor`, Constant Field Values

### LAST_CONTENT_URL

    public static final String LAST_CONTENT_URL

  Deprecated.
  Webflow response string that indicates that a Portlet's current content URL should remain the same. This is a special webflow `<destination/>` node used to by the portal engine to indicate that the content of the portlet should not change. The last URL displayed in the portlet should be the one displayed. This can be used on refresh events.

          Example:

          <event event-name="bea.portal.framework.internal.refresh">
              <destination namespace="portal" node-name="lastContentUrl" node-type="portal"/>
          </event>

  See Also:
    Constant Field Values

### POST_LOGIN_EVENT

    public static final String POST_LOGIN_EVENT

  Deprecated.
  Suffix for post-login event String.

  See Also:
    `POST_LOGIN`, Constant Field Values

### AUTO_LOGIN_EVENT

    public static final String AUTO_LOGIN_EVENT

  Deprecated.
  Suffix for auto-login event String.

  See Also:
    `AUTO_LOGIN`, Constant Field Values

### FRAMEWORK_REFRESH_EVENT

    public static final String FRAMEWORK_REFRESH_EVENT

  Deprecated.
  Suffix for refresh event String.

  See Also:
    `PORTLET_REFRESH`, `PORTAL_REFRESH`, Constant Field Values

### PORTLET_EVENT

    public static final String PORTLET_EVENT

  Deprecated.
  Partial Portlet event String. This plus prefix and suffix help build the actual portlet event.

  See Also:
    `PORTLET_FLOAT`, `PORTLET_EDIT`, `PORTLET_UNEDIT`, `PORTLET_MAXIMIZE`, `PORTLET_UNMAXIMIZE`, `PORTLET_MINIMIZE`, `PORTLET_UNMINIMIZE`, Constant Field Values

### PORTLET_FLOAT_EVENT

    public static final String PORTLET_FLOAT_EVENT

  Deprecated.
  Portlet event Suffix String.

  See Also:
    Constant Field Values

### PORTLET_EDIT_EVENT

    public static final String PORTLET_EDIT_EVENT

  Deprecated.
  Portlet event Suffix String.

  See Also:
    Constant Field Values

### PORTLET_UNEDIT_EVENT

    public static final String PORTLET_UNEDIT_EVENT

  Deprecated.
  Portlet event Suffix String.

  See Also:
    Constant Field Values

### PORTLET_MAXIMIZE_EVENT

    public static final String PORTLET_MAXIMIZE_EVENT

  Deprecated.
  Portlet event Suffix String.

  See Also:
    Constant Field Values

### PORTLET_UNMAXIMIZE_EVENT

    public static final String PORTLET_UNMAXIMIZE_EVENT

  Deprecated.
  Portlet event Suffix String.

  See Also:
    Constant Field Values

### PORTLET_MINIMIZE_EVENT

    public static final String PORTLET_MINIMIZE_EVENT

  Deprecated.
  Portlet event Suffix String.

  See Also:
    Constant Field Values

### PORTLET_UNMINIMIZE_EVENT

    public static final String PORTLET_UNMINIMIZE_EVENT

  Deprecated.
  Portlet event Suffix String.

  See Also:
    Constant Field Values

### PORTLET_EVENT_EVENT

    public static final String PORTLET_EVENT_EVENT

  Deprecated.
  Portlet webflow event Suffix String.

  See Also:
    Constant Field Values

### SESSION_TIMEOUT_EVENT

    public static final String SESSION_TIMEOUT_EVENT

  Deprecated.
  Session timeout event Suffix String.

  See Also:
    `SESSION_TIMEOUT`, Constant Field Values

### SUCCESS_EVENT

    public static final String SUCCESS_EVENT

  Deprecated.
  Success event String.

  See Also:
    Constant Field Values

### FRAMEWORK_EVENT_PREFIX

    public static final String FRAMEWORK_EVENT_PREFIX

  Deprecated.
  The String prefix for all Portal framework events.

  See Also:
    Constant Field Values

### INTERNAL_FRAMEWORK_EVENT_PREFIX

    public static final String INTERNAL_FRAMEWORK_EVENT_PREFIX

  Deprecated.
  The String prefix for all internal Portal framework events.

  See Also:
    Constant Field Values

### PORTAL_REFRESH

    public static final String PORTAL_REFRESH

  Deprecated.
  Return value from a Portal processor indicating that the Portal should be refreshed.

  See Also:
    Constant Field Values

### PORTLET_REFRESH

    public static final String PORTLET_REFRESH

  Deprecated.
  Portlet refresh event. When refreshing a portlet if the PortalSession content map has an entry for this portlet then invoke the `PORTLET_REFRESH` event, oherwise invoke the begin node.

  See Also:
    Constant Field Values

### PORTLET_FLOAT

    public static final String PORTLET_FLOAT

  Deprecated.
  Portlet float event.

  See Also:
    Constant Field Values

### PORTLET_EDIT

    public static final String PORTLET_EDIT

  Deprecated.
  Portlet edit event.

  See Also:
    `EditProcessor`, Constant Field Values

### PORTLET_UNEDIT

    public static final String PORTLET_UNEDIT

  Deprecated.
  Portlet unedit event.

  See Also:
    `UneditProcessor`, Constant Field Values

### PORTLET_MAXIMIZE

    public static final String PORTLET_MAXIMIZE

  Deprecated.
  Portlet maximize event.

  See Also:
    `MaximizeProcessor`, Constant Field Values

### PORTLET_UNMAXIMIZE

    public static final String PORTLET_UNMAXIMIZE

  Deprecated.
  Portlet unmaximize event.

  See Also:
    `UnmaximizeProcessor`, Constant Field Values

### PORTLET_MINIMIZE

    public static final String PORTLET_MINIMIZE

  Deprecated.
  Portlet minimize event.

  See Also:
    `MinimizeProcessor`, Constant Field Values

### PORTLET_UNMINIMIZE

    public static final String PORTLET_UNMINIMIZE

  Deprecated.
  Portlet unminimize event.

  See Also:
    `UnminimizeProcessor`, Constant Field Values

### POST_LOGIN

    public static final String POST_LOGIN

  Deprecated.
  Return value from PreProcessor indicating that the user needs to perform post login processing. PostLoginProcessor is the final processor called after the user is successfully logged in. The develper may extend webflow to do additional application specific processing.

  See Also:
    `PostLoginProcessor`, Constant Field Values

### AUTO_LOGIN

    public static final String AUTO_LOGIN

  Deprecated.
  Return value from portal PreProcessor indicating that the user requests auto-login.

  See Also:
    `AutoLoginProcessor`, `PreProcessor`, Constant Field Values

### SESSION_TIMEOUT

    public static final String SESSION_TIMEOUT

  Deprecated.
  Return value from a portal processor indicating that the user session has timed out.

  See Also:
    `AbstractPortalProcessor`, Constant Field Values

### PORTLET_WEBFLOW_EVENT

    public static final String PORTLET_WEBFLOW_EVENT

  Deprecated.
  Portlet webflow event to invokde the PrtletEventProcessor.

  See Also:
    `PortletEventProcessor`, `PORTLET_WEBFLOW_EVENT_PARAMETER`, Constant Field Values

### PORTLET_WEBFLOW_FLOAT_EVENT

    public static final String PORTLET_WEBFLOW_FLOAT_EVENT

  Deprecated.
  Floating portlet webflow event.

  See Also:
    Constant Field Values

### DELAY_P13N_UPDATES_PROPERTY

    public static final String DELAY_P13N_UPDATES_PROPERTY

  Deprecated.
  PortalContext environment property. The property name in the resource bundle com/bea/portal/appflow/portal-context.properties. Setting this property to false delays updates until the user logs out. If set to true, the portal framework events (minimize/unminimize) will be persisted immediately.

  See Also:
    Constant Field Values

### GROUP_PORTAL_NAME

    public static final String GROUP_PORTAL_NAME

  Deprecated.
  Constants used to store the GroupPortal name in the session

  See Also:
    Constant Field Values

### GROUP_PORTAL_NAME_SESSION_KEY

    public static final String GROUP_PORTAL_NAME_SESSION_KEY

  Deprecated.
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved